Loading...
Searching...
No Matches
JxlColorProfile Struct Reference
JPEG XL library (libjxl) » Color encoding and conversion

`#include <cms_interface.h>`

Collaboration diagram for JxlColorProfile:
[legend]

## Public Attributes

struct { |
const uint8_t * data |
size_t size |
} | icc |
JxlColorEncoding | color_encoding
size_t | num_channels

## Detailed Description

Represents an input or output colorspace to a color transform, as a serialized ICC profile.

## Member Data Documentation

## color_encoding

JxlColorEncoding JxlColorProfile::color_encoding

Structured representation of the colorspace, if applicable. If all fields are different from their "unknown" value, then this is equivalent to the ICC representation of the colorspace. If some are "unknown", those that are not are still valid and can still be used on their own if they are useful.

## [struct]

struct { ... } JxlColorProfile::icc

The serialized ICC profile. This is guaranteed to be present and valid.

## num_channels

size_t JxlColorProfile::num_channels

Number of components per pixel. This can be deduced from the other representations of the colorspace but is provided for convenience and validation.

The documentation for this struct was generated from the following file:

- jxl/cms_interface.h